summarylogtreecommitdiffstats
path: root/otd-gui
diff options
context:
space:
mode:
Diffstat (limited to 'otd-gui')
-rwxr-xr-xotd-gui12
1 files changed, 12 insertions, 0 deletions
diff --git a/otd-gui b/otd-gui
new file mode 100755
index 00000000000..c8d7599b220
--- /dev/null
+++ b/otd-gui
@@ -0,0 +1,12 @@
+#!/bin/bash
+systemctl --user --quiet is-active opentabletdriver.service
+daemonactive=$?
+
+if [ $daemonactive != 0 ]
+then
+ echo "OpenTabletDriver Daemon not running, starting"
+ systemctl --user start opentabletdriver.service
+fi
+
+cd /usr/share/OpenTabletDriver
+dotnet OpenTabletDriver.UX.Gtk.dll "$@" \ No newline at end of file